# TQMotifStyle Class

Home | All Classes | Main Classes | Annotated | Grouped Classes | Functions |

# TQMotifStyle Class Reference

The TQMotifStyle class provides Motif look and feel. More...

`#include <ntqmotifstyle.h>`

Inherits TQCommonStyle.

Inherited by TQCDEStyle, TQMotifPlusStyle, and TQSGIStyle.

List of all member functions.

## Public Members

- TQMotifStyle ( bool useHighlightCols = FALSE )
- void setUseHighlightColors ( bool arg )
- bool useHighlightColors () const

## Detailed Description

The TQMotifStyle class provides Motif look and feel.

This class implements the Motif look and feel. It closely resembles the original Motif look as defined by the Open Group, but with some minor improvements. The Motif style is TQt's default GUI style on UNIX platforms.

See also Widget Appearance and Style.

## Member Function Documentation

### TQMotifStyle::TQMotifStyle ( bool useHighlightCols = FALSE )

Constructs a TQMotifStyle.

If useHighlightCols is FALSE (the default), the style will polish the application's color palette to emulate the Motif way of highlighting, which is a simple inversion between the base and the text color.

### void TQMotifStyle::setUseHighlightColors ( bool arg )

If arg is FALSE, the style will polish the application's color palette to emulate the Motif way of highlighting, which is a simple inversion between the base and the text color.

The effect will show up the next time an application palette is set via TQApplication::setPalette(). The current color palette of the application remains unchanged.

See also TQStyle::polish().

### bool TQMotifStyle::useHighlightColors () const

Returns TRUE if the style treats the highlight colors of the palette in a Motif-like manner, which is a simple inversion between the base and the text color; otherwise returns FALSE. The default is FALSE.

This file is part of the TQt toolkit. Copyright © 1995-2007 Trolltech. All Rights Reserved.